<?php

/**
 * Validira HAK podatke.
 */
function ep_hak_ajax_validate()
{
	$firstName = isset($_POST['firstName']) ? $_POST['firstName'] : null;
	$lastName = isset($_POST['lastName']) ? $_POST['lastName'] : null;
	$memberId = isset($_POST['memberId']) ? $_POST['memberId'] : null;

	if (empty($firstName) || empty($lastName) || empty($memberId)) {
		wp_send_json([
			'success' => false,
			'reason' => 'Obavezno popuniti polja Ime, Prezime i broj članske iskaznice.',
		]);
	}

	$result = ep_hak_validate($firstName, $lastName, $memberId);

	if (!$result['success']) {
		wp_send_json([
			'success' => false,
			'reason' => $result['error_msg'],
		]);
	}

	$options = get_option('ep_hak');

	if (isset($options['coupon']) && !empty($options['coupon'])) {
		if (!wc()->cart->add_discount($options['coupon'])) {
			wp_send_json([
				'success' => false,
				'reason' => 'Ne možemo primjeniti HAK kupon.'
			]);
		}
	}

	$result['message'] = 'Aktivni korisnik!';
	wp_send_json($result);
}